Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.http
Class MuleHostConfiguration

    java.lang.Object
      org.apache.commons.httpclient.HostConfiguration
          org.mule.transport.http.MuleHostConfiguration

All Implemented Interfaces:
  Cloneable

    public class MuleHostConfiguration

extends HostConfiguration

Subclass of httpclient's `HostConfiguration` that retains its `Protocol` when a new host is set via the URI. It looks like we're not the only ones who stumbled over the HostConfiguration behaviour, see http://issues.apache.org/jira/browse/HTTPCLIENT-634

Field Summary

Fields inherited from class org.apache.commons.httpclient.HostConfiguration
`ANY_HOST_CONFIGURATION`

Constructor Summary
`MuleHostConfiguration()`
`MuleHostConfiguration(HostConfiguration hostConfig)`

Method Summary
`Object` | `clone()`
`void` | `setHost(HttpHost host)`
`void` | `setHost(String host)`
`void` | `setHost(String host, int port)`
`void` | `setHost(String host, int port, String protocolName)`
`void` | `setHost(String host, String virtualHost, int port, Protocol protocol)`
`void` | `setHost(URI uri)`

Methods inherited from class org.apache.commons.httpclient.HostConfiguration
`equals, getHost, getHostURL, getLocalAddress, getParams, getPort, getProtocol, getProxyHost, getProxyPort, getVirtualHost, hashCode, hostEquals, isHostSet, isProxySet, proxyEquals, setHost, setLocalAddress, setParams, setProxy, setProxyHost, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MuleHostConfiguration

    public MuleHostConfiguration()

### MuleHostConfiguration

    public MuleHostConfiguration(HostConfiguration hostConfig)

Method Detail

### setHost

    public void setHost(URI uri)

  Overrides:
    `setHost` in class `HostConfiguration`

### setHost

    public void setHost(HttpHost host)

  Overrides:
    `setHost` in class `HostConfiguration`

### setHost

    public void setHost(String host,
                        int port,
                        String protocolName)

  Overrides:
    `setHost` in class `HostConfiguration`

### setHost

    public void setHost(String host,
                        String virtualHost,
                        int port,
                        Protocol protocol)

  Overrides:
    `setHost` in class `HostConfiguration`

### setHost

    public void setHost(String host,
                        int port)

  Overrides:
    `setHost` in class `HostConfiguration`

### setHost

    public void setHost(String host)

  Overrides:
    `setHost` in class `HostConfiguration`

### clone

    public Object clone()

  Overrides:
    `clone` in class `HostConfiguration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.